---
id: comp
title: comp
hide_title: true
hide_table_of_contents: true
sidebar_label: comp
description: List all paired companion devices
---
## ipsw idev comp

List all paired companion devices

```
ipsw idev comp [flags]
```

### Options

```
  -h, --help   help for comp
  -j, --json   Display companions as JSON
```

### Options inherited from parent commands

```
      --color           colorize output
      --config string   config file (default is $HOME/.config/ipsw/config.yaml)
      --no-color        disable colorize output
  -u, --udid string     Device UniqueDeviceID to connect to
  -V, --verbose         verbose output
```

### SEE ALSO

* [ipsw idev](/docs/cli/ipsw/idev)	 - USB connected device commands

